.define_question_dir: &define_question_dir
  TB_PROJECT_DIR: "/builds/90cos/cyv/Private-test-bank/basic-dev"
  TB_PATH: performance

# JOB DEFINITIONS
Test_Networking_Encrypted_Data:
  image: registry.gitlab.com/90cos/docker-definitions/basic-dev
  stage: test
  variables:
    <<: *define_question_dir
    NETWORKING_PATH: Networking/Encrypted_Data
  script:
  - cd "$TB_PATH/$NETWORKING_PATH/"
  - cp Solution/client.py .
  - python3 Solution/server.py & SERVER_PID=$!
  - sleep 1  # Allow server time to run crypto test and start
  - python3 runtests.py
  # This was added to prevent the pipeline with the solution from running even after client.py is finished
  - kill $SERVER_PID
  rules:
    - if: '$CI_PROJECT_NAME == "basic-dev"'
      changes:
      - performance/Networking/Encrypted_Data/**/*
      when: manual
